package com.ss.android.ugc.aweme.main;

import X.0CG;
import X.1hK;
import android.content.Context;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.homepage.api.interaction.ScrollSwitchStateManager;

public interface IMainPageFragment {
    static {
        Covode.recordClassIndex(91578);
    }

    void LIZ();

    void LIZ(0CG r1);

    void LIZ(1hK r1);

    void LIZ(Context context);

    void LIZ(Fragment fragment);

    void LIZ(ScrollSwitchStateManager scrollSwitchStateManager);

    void LIZ(String str, String str2);

    void LIZ(boolean z);

    void LIZIZ(1hK r1);

    boolean LIZIZ();

    void LIZJ();

    String LIZLLL();

    String LJ();

    void LJFF();

    void LJI();
}
